<!doctype html>
<html lang="en">
  <head>
  	<title>Login</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<link href="https://fonts.googleapis.com/css?family=Lato:300,400,700&display=swap" rel="stylesheet">

	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
	
	<link rel="stylesheet" href="css/style.css">

	</head>
	<body style="background-color:#F6F0F0;">
	
	<section class="ftco-section">
		<div class="container">
		
			<div class="row justify-content-center" style="margin-top:12%;">
				
				<div class="col-md-6 col-lg-4" style="background-color:white;
				box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;">
					<div class="row justify-content-center">
						<div class="col-md-6 text-center mb-3 col-lg-7">
							<img style="width:100%;" src="./images/12-removebg-preview.png"/>
						</div>
					</div>
					
					
				
				<div class="login-wrap p-0">
		      	<h3 class="mb-4 text-center">Admin Login</h3>
			

		    <form action="/auth/login" class="signin-form" method="POST"  onsubmit="return validateForm()" >
				<div class="form-group">
					<input style="border-color:#E48310;" type="text" class="form-control"  name="email" placeholder="email" id="emailInput" autocomplete="off">
					<div style="color: red;" id="emailError" class="error-message"></div>
					
				</div>
				

	
				<div class="form-group">
					<div style="position: relative;">
					  <input style="border-color:#E48310;" name="password" id="password-field" type="password" class="form-control" placeholder="Password" id="password-field" autocomplete="off">
					  <span toggle="#password-field" class="fa fa-fw fa-eye field-icon toggle-password"></span>
					</div>
					<span style="color: red;" id="passwordError" class="error-message"></span>
				  </div>
	            <div class="form-group">
	            	<button class="button button1">Login</button>
	            </div>
			
	            <div class="form-group d-md-flex">
	            	<div class="w-50">
		
				</div>
				<div class="w-50 text-md-right">
					<a href="forgot.html" style="color:black">Forgot Password</a>
				</div>
	            </div>
			
	          </form>
	      
		      </div>
				</div>
			</div>
		</div>
	</section>

  <script src="js/jquery.min.js"></script>
  <script src="js/popper.js"></script>
  <script src="js/bootstrap.min.js"></script>
  <script src="js/main.js"></script>

  <script>
	// Clear the input fields on page load
	window.addEventListener('load', function() {
		document.getElementById('emailInput').value = '';
		document.getElementById('password-field').value = '';
	});
</script>

  <script>
	//form validation
	function validateForm() {
    var email = document.getElementById("emailInput").value;
    var password = document.getElementById("password-field").value;
    var emailRegex = /^[a-zA-Z0-9._-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$/;
    var emailError = document.getElementById("emailError");
    var passwordError = document.getElementById("passwordError");

    emailError.textContent = "";
    passwordError.textContent = "";

    var isValid = true;

    if (email === "" || !email.match(emailRegex)) {
      emailError.textContent = "Please enter a valid email address.";
      isValid = false;
    }

    if (password === "") {
      passwordError.textContent = "Please enter your password.";
      isValid = false;
    }

    if (isValid) {
      // Clear the error messages when input is valid.
      emailError.textContent = "";
      passwordError.textContent = "";
    }

    return isValid; // Form submission will proceed if all validations pass.
  }

  </script>

  

  <script>
    // Function to extract the query parameter by name from the URL
    function getQueryParameterByName(name) {
      const urlParams = new URLSearchParams(window.location.search);
      return urlParams.get(name);
    }
  
    // Function to remove a query parameter from the URL
    function removeQueryParameter(name) {
      const url = new URL(window.location.href);
      url.searchParams.delete(name);
      window.history.replaceState({}, document.title, url);
    }

    // Extract and display the error message
    const errorMessage = getQueryParameterByName('error');
    if (errorMessage) {
      document.getElementById('passwordError').textContent = errorMessage;

      // Remove the 'error' query parameter from the URL
      removeQueryParameter('error');
    }
</script>

  



	</body>
	
</html>
<style>

.form-control {
    border-radius:8px; 
	
}

button.form-control.btn.submit.px-3 {
    background-color:#E48310;
	font-size:18px;
	font-family:'Open Sans', 'Helvetica Neue', sans-serif;
	color: rgb(100, 98, 98);


}
h3.mb-4.text-center {
    font-size: 24px; 
	font-family:'Open Sans', 'Helvetica Neue', sans-serif;
	color: rgb(100, 98, 98);
	font-weight: 300;

    
}
.ftco-section{
	background-color:#F6F0F0;
}
.button {
  border: none;
  color: white;
  border-radius: 6px;
  width: 100%;
  height: 10%;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 18px;
  margin: 4px 2px;
  transition-duration: 0.4s;
  cursor: pointer;
}

.button1 {
  background-color:#E48310; 
  color:white; 
  font-family:'Helvetica Neue',serif;
  border: 1px solid #E48310;
}

.button1:hover {
  background-color:white;
  border: 1px solid #E48310;
  color: black;
}
</style>

